<?PHP
class Time
{
var $year;
var $month;
var $month_name;
var $day;
var $hour;
var $min;
var $sec;
var $type;

function Time($time=0)
{
	$this->type='shamsi';
	if($time==0)
		$time=time();
	$this->decode_time($time);
}

function init($time=0)
{
	$this->Time($time);
}

function decode_time($time=0)
{
	if($time==0)
		$time=time();
	//$time+=4*3600+30*60;

	$this->year=date('Y',$time);
	$this->month=date('n',$time);
	$this->month_name=date('M',$time);
	$this->day=date('j',$time);
	$this->hour=date('G',$time);
	$this->min=date('i',$time);
	$this->sec=date('s',$time);
	if($this->type=='shamsi')
		$this->g2s();

}
function datef($time=0,$type=0)
{
	if($time==0)
		$time=time();
	$this->decode_time($time);
	if($type==0)
		return $this->year.'/'.$this->month.'/'.$this->day;
	return 'تاریخ '.$this->year.' '.$this->month.' '.$this->day.' و ساعت '.$this->hour.':'.$this->min.':'.$this->sec;
}


function get_time()//just in host
{
//	if($type=='shamsi')
		$this->g2s();
//	return ($this->year-1970)*365*24*3600+$this->month
	
}


function g2s()
{
	$g_days_in_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); 
	$j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29);     
	$year_temp = $this->year-1600; 
	$month_temp= $this->month-1; 
	$day_temp= $this->day-1; 

	$g_day_no = 365*$year_temp+$this->div($year_temp+3,4)-$this->div($year_temp+99,100)+$this->div($year_temp+399,400); 

	for ($i=0; $i < $month_temp; ++$i) 
		$g_day_no += $g_days_in_month[$i]; 

	if ($month_temp>1 && (($year_temp%4==0 && $year_temp%100!=0) || ($year_temp%400==0))) 
		 /* leap and after Feb */ 
		$g_day_no++; 

	$g_day_no += $day_temp; 

	$j_day_no = $g_day_no-79; 
	$j_np = $this->div($j_day_no, 12053); /* 12053 = 365*33 + 32/4 */ 
	$j_day_no %=12053; 

	$this->year = 979+33*$j_np+4*$this->div($j_day_no,1461); /* 1461 = 365*4 + 4/4 */ 
	$j_day_no %= 1461; 

	if ($j_day_no >= 366) { 
		$this->year += $this->div($j_day_no-1, 365); 
		$j_day_no = ($j_day_no-1)%365; 
	} 

	for ($i = 0; $i < 11 && $j_day_no >= $j_days_in_month[$i]; ++$i) 
		$j_day_no -= $j_days_in_month[$i]; 
	$this->month = $i+1; 

	$this->day= $j_day_no+1; 

}
function div($a,$b){return (int)($a/$b);}

function cmp_date($date1,$date2)
{
	$cmp=0;
	if($date1['year']>$date2['year'])
		$cmp=1;
	elseif($date1['year']==$date2['year'])
		if($date1['month']>$date2['month'])
			$cmp=1;
		elseif($date1['month']==$date2['month'])
			if($date1['day']>$date2['day'])
				$cmp=1;
			elseif($date1['day']==$date2['day'])
				if($date1['hour']>$date2['hour'])
					$cmp=1;
				elseif($date1['hour']==$date2['hour'])
					if($date1['min']>$date2['min'])
						$cmp=1;
					elseif($date1['min']==$date2['min'])
						$cmp=0;
					else
						$cmp=-1;
				else
					$cmp=-1;
			else
				$cmp=-1;
		else
			$cmp=-1;
	else
		$cmp=-1;
	return $cmp;
}


function get_timef($time=0)
{
	if($time==0)
		$time=time();
	$this->decode_time($time);
	return $this->hour.':'.$this->min;
}

function get_datef($time=0)
{
	if($time==0)
		$time=time();
	$this->decode_time($time);
	return $this->year.'/'.$this->month.'/'.$this->day;
}
function get_timej()
{
	
}
}