<?PHP
class form
{
var $html=false;
var $trim=true;
function check_parm($field)
{
	if(is_array($field))
	{
	foreach($field as $key=>$value)
	{
		$field[$key]=$this->check_var($value);
	}
	}
	else
		$field=$this->check_var($field);

	return $field;
}


function check_var($var)
{
	$var=mysql_real_escape_string($var);
	$var=htmlspecialchars($var);
	if($this->trim)
		$var=trim($var);
	return $var;
}

function get_time_form($data1=array(),$data2=array())
{
	return $this->get_min_form($data2).':'.$this->get_hour_form($data1);
}
function get_hour_form()
{
	$data['name']='hour';
	return $this->get_select_form($data,0,23);
}
function get_min_form($data=array())
{
	$data['name']='min';
	return $this->get_select_form($data,0,59);
}

function get_day_form($data=array())
{
	$data['name']='day';
	return $this->get_select_form($data,1,31);	
}

function get_month_form($data=array())
{
	$data['name']='month';
	$data['field']=array(1=>'فروردین',
			'اردیبهشت',
			'خرداد',
			'تیر',
			'مرداد',
			'شهریور',
			'مهر',
			'آبان',
			'آذر',
			'دی',
			'بهمن',
			'اسفند'
			);
	return $this->get_select_form($data,1,12);
}

function get_year_form($data=array())
{
	$data['name']='year';
	return $this->get_select_form($data,1388,1388);
}

function get_date_form($data1=array(),$data2=array(),$data3=array())
{
	return $this->get_day_form($data3).$this->get_month_form($data2).$this->get_year_form($data1);
}

function get_select_form($data,$min,$max)
{
	if(!isset($data['name']))
		$data['name']='min';
	if(!isset($data['extra']))
		$data['extra']='';
	if(!isset($data['default']))
		$data['default']=0;
	$content="<select name='".$data['name']."' ".$data['extra'].">\n";
	for($i=$min;$i<$max+1;$i++)
	{
		$content.="<option value=".$i;
		if($i==$data['default'])
			$content.=" selected";
		$content.=">";
		if(isset($data['field']))
			$content.=$data['field'][$i];
		else
			$content.=$i;
		$content.="</option>\n";
	}
	$content.="</select>\n";
	return $content;
}
}
?>